# keystone.common.profiler module

keystone.common.profiler.setup(name, host='0.0.0.0')

  Setup OSprofiler notifier and enable profiling.

  Parameters:

    - name – name of the service that will be profiled

    - host – hostname or host IP address that the service will be running on. By default host will be set to 0.0.0.0, but more specified host name / address usage is highly recommended.

this page last updated: 2026-08-17 12:45:24

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.

found an error? report a bug